package cn.com.countrygarden.bi.main.dao.sys;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.sys.Role;
import cn.com.countrygarden.bi.main.model.sys.UserWhiteUrl;

import org.apache.ibatis.annotations.Param;

import com.github.pagehelper.PageRowBounds;

import java.util.List;


public interface RoleMapper extends Mapper<Role> {

    List<Role> findByUserCode(@Param("userCode") String userCode);
    List<UserWhiteUrl> getUserWhiteUrlByRoleCode(@Param("roleCode") String roleCode);
    List<Role> getUserRoleList(@Param("role")Role role, @Param("userCode") String userCode, PageRowBounds pageRowBounds);
    int checkIsAdmin(@Param("userCode") String userCode);
    Role selectDataByPrimaryKey(Integer id);
    int checkIsConsoleAdmin(@Param("userCode") String userCode);
}